Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get entries relations
        • Rename entry
        • Get entries permissions
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EntryScope
  • Responses
  • 200 OK
  • Body
  • GetEntriesRelationsEntry
  1. DataLens Public API
  2. DataLens API
  3. Entries
  4. Get entries relations
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EntryScope
  • Responses
  • 200 OK
    • Body
    • GetEntriesRelationsEntry

Get entries relations

Returns the specified DataLens entries relations.

RequestRequest

POST

https://api.datalens.tech/rpc/getEntriesRelations

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

x-dl-audit-mode

Type: string

Const: true

Example: ``

BodyBody

application/json
{
  "entryIds": [
    "example"
  ],
  "linkDirection": "from",
  "includePermissionsInfo": true,
  "limit": 0.5,
  "pageToken": "example",
  "scope": "dash"
}

Name

Description

entryIds

Type: string[]

ID of the entries to get relations for.

Example
[
  "example"
]

includePermissionsInfo

Type: boolean

Include permission information in the response.

limit

Type: number

Maximum number of results to return.

linkDirection

Type: string

The direction of the link relatively to the original entry:

  • from — entries that are linked to the original entry
  • to — the original entry is linked to the entries

Enum: from, to

pageToken

Type: string

Token for retrieving the next page of results.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "relations": [
    {
      "entryId": "example",
      "key": "example",
      "scope": "dash",
      "type": "example",
      "createdAt": "example",
      "public": true,
      "tenantId": "example",
      "workbookId": "example",
      "collectionId": "example",
      "isLocked": true,
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "fullPermissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true,
        "createEntryBinding": true,
        "createLimitedEntryBinding": true
      }
    }
  ],
  "nextPageToken": "example"
}

Name

Description

relations

Type: GetEntriesRelationsEntry[]

List of related entries.

Example
[
  {
    "entryId": "example",
    "key": "example",
    "scope": "dash",
    "type": "example",
    "createdAt": "example",
    "public": true,
    "tenantId": "example",
    "workbookId": "example",
    "collectionId": "example",
    "isLocked": true,
    "permissions": {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    },
    "fullPermissions": {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true,
      "createEntryBinding": true,
      "createLimitedEntryBinding": true
    }
  }
]

nextPageToken

Type: string

Token for retrieving the next page of results.

Example: example

GetEntriesRelationsEntryGetEntriesRelationsEntry

Name

Description

collectionId

Type: string | null

ID of the collection the entry belongs to.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

entryId

Type: string

Unique identifier of the entry.

Example: example

key

Type: string | null

Key identifier of the entry.

Example: example

public

Type: boolean

Indicates if the entry is public.

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

tenantId

Type: string | null

ID of the DataLens tenant.

Example: example

type

Type: string

Specified type of the entry from scope (e.g. type of the connection or visualization type for charts).

Example: example

workbookId

Type: string | null

ID of the workbook the entry belongs to.

Example: example

fullPermissions

Type: object

copy

Type: boolean

Permission to copy.

createEntryBinding

Type: boolean

Permission to create entry binding.

createLimitedEntryBinding

Type: boolean

Permission to create limited entry binding.

delete

Type: boolean

Permission to delete.

limitedView

Type: boolean

Permission for limited viewing.

listAccessBindings

Type: boolean

Permission to list access bindings.

move

Type: boolean

Permission to move.

update

Type: boolean

Permission to update.

updateAccessBindings

Type: boolean

Permission to update access bindings.

view

Type: boolean

Permission to view.

Full permissions for the entry.

Example
{
  "listAccessBindings": true,
  "updateAccessBindings": true,
  "limitedView": true,
  "view": true,
  "update": true,
  "copy": true,
  "move": true,
  "delete": true,
  "createEntryBinding": true,
  "createLimitedEntryBinding": true
}

isLocked

Type: boolean

Indicates if the entry is locked.

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Basic permissions for the entry.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}
Example
{
  "entryId": "example",
  "key": "example",
  "scope": "dash",
  "type": "example",
  "createdAt": "example",
  "public": true,
  "tenantId": "example",
  "workbookId": "example",
  "collectionId": "example",
  "isLocked": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "fullPermissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true,
    "createEntryBinding": true,
    "createLimitedEntryBinding": true
  }
}

Was the article helpful?

Previous
Overview
Next
Rename entry
© 2026 Direct Cursus Technology L.L.C.